
package com.jeelowcode.module.api;

import com.jeelowcode.framework.utils.model.ResultDataModel;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * 低代码 API 接口
 */
public interface JeeLowCodeApi {

    //获取表单设置的授权类型
    String getDbformAuthType(Long dbFormid);

    String getReportAuthType(String reportCode);

    //同步数据
    void syncData(String reportCode, Map<String, Object> req, ResultDataModel pages );
}
